import { __decorate } from "tslib";
import { FoundationElement } from '@microsoft/fast-foundation';
import { observable } from '@microsoft/fast-element';
import { ErrorBoundaryEvent, showError } from '@genesislcap/foundation-errors';
import { createLogger } from '@genesislcap/foundation-utils';
import { foundationErrorBoundaryTemplate as template } from './error-boundary.template';
export const foundationErrorBoundaryShadowOptions = {
    mode: 'open',
    delegatesFocus: true,
};
export class ErrorBoundary extends FoundationElement {
    constructor() {
        super(...arguments);
        this.logger = createLogger('error-boundary');
    }
    connectedCallback() {
        super.connectedCallback();
        this.addEventListener(ErrorBoundaryEvent.ERROR_BOUNDARY_EVENT, (e) => {
            e.stopImmediatePropagation();
            showError(e.detail, this.tagName);
        });
    }
}
__decorate([
    observable
], ErrorBoundary.prototype, "anchor", void 0);
export const foundationErrorBoundary = ErrorBoundary.compose({
    baseName: 'error-boundary',
    template,
    shadowOptions: foundationErrorBoundaryShadowOptions,
});
//# sourceMappingURL=error-boundary.js.map